ApplicationArtefactHandler (Grails 3.1.4)
Date: 2016-03-16

Package: org.grails.core.artefact

## [Groovy] Class ApplicationArtefactHandler

- org.grails.core.artefact.ApplicationArtefactHandler

- An ArtefactHandler that identifies the Application class

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static org.codehaus.groovy.ast.ClassNode` | `AUTO_CONFIGURATION_CLASS_NODE` |
    `static java.lang.String` | `TYPE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ArtefactHandlerAdapter` | `allowAbstract, artefactSuffix, grailsClassImpl, grailsClassType, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ApplicationArtefactHandler ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `isArtefact(org.codehaus.groovy.ast.ClassNode classNode)`
    `boolean` | `isArtefactClass(java.lang.Class clazz)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArtefactHandlerAdapter` | `getArtefactForFeature, getPluginName, getType, initialize, isArtefact, isArtefact, isArtefactClass, isArtefactGrailsClass, isArtefactResource, isValidArtefactClassNode, newArtefactClass`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final org.codehaus.groovy.ast.ClassNode AUTO_CONFIGURATION_CLASS_NODE

    - #### public static final java.lang.String TYPE

  - ### Constructor Detail

    - #### ApplicationArtefactHandler()

  - ### Method Detail

    - #### @java.lang.Override boolean isArtefact(org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override boolean isArtefactClass(@java.lang.SuppressWarnings("rawtypes") java.lang.Class clazz)